Wish: Add New Network Api To Brep(for curves have kinks )

the result of NurbsSurface.CreateNetworkSurface is Surface and is not accurate for PolyLine input(like Sweep or Edge Surface)
i suggest it Add To Brep in RhinoCommon that it Can be SplitKinkyFaces()
: As a result, for polylines, broken lines will be more accurate
In this example, the result is not accurate for input PolyLine curves:
Brep.NetWork.gh (9.8 KB)

private void RunScript(List<Curve> curves, int continuity, ref object Brep, ref object Result)
  {
    Component.Name = "Network";
    int error = 0;
    var s = NurbsSurface.CreateNetworkSurface(curves, continuity, RhinoDocument.ModelAbsoluteTolerance, RhinoDocument.ModelAbsoluteTolerance, RhinoDocument.ModelAbsoluteTolerance, out error);
    Result = error;
    var f = s.ToBrep();
    f.Faces.SplitKinkyFaces();
    Brep = f;

  }

https://developer.rhino3d.com/api/rhinocommon/rhino.geometry.nurbssurface/createnetworksurface

https://developer.rhino3d.com/api/rhinocommon/rhino.geometry.brep/createfromsweep

https://developer.rhino3d.com/api/rhinocommon/rhino.geometry.brep/createfromsweepsegmented

are you expecting to much from a single networksrf ?
try to figure out a modelling-strategy with standard rhino commands that allows your design intent / shape / correct design - then translate this into a grasshopper definition.

as far as I understand the SplitKinkyFaces() function is similar to rhinos
DivideAlongCreases command

1 Like

I Belive this command have bug ;
In this very simple example, it looks , the corners of the Surface are curved(fillet)
this bug must resolve in Rhino(for example add option Fix Corner in this command or the result of networkcan be **Brep**( like Sweep))
Although in sweep and loft… it does not have this error,
and this feature must add to Rhino 8


Brep.NetWork.gh (15.4 KB)

that s not the intended behaviour of networksurface.
you have to model 2 surfaces and join them.

see
https://docs.mcneel.com/rhino/8/help/en-us/index.htm#commands/networksrf.htm

The command always smooths out the output surfaces even if the input curves have kinks.

ok @Tom_P
so We need to add new Network Command(for curves have kinks)

for example Mcneel Developer Must Add this Api in Rhino Common SDK:

Brep.CreateFromNetwork.Kinks(List<Curve> curve,bool Kinks,Double tolerace.....);